#!/usr/bin/env python

def parseinput(fname):
    """
    Parse the input file, forget about input validation
    """
    cases = []
    with open(fname) as f:
        while True:
            header = [int(x) for x in f.readline().split()]
            if header == [0, 0, 0]:
                return cases
            N = header[0]
            case = {"header": header,
                    "machines": []}
            for i in range(0, N):
                machine = [int(x) for x in f.readline().split()]
                case["machines"].append(machine)
            cases.append(case)

def main():
    cases = parseinput("input.txt")
    for case in cases:
        print "Next case:", case["header"]
        for machine in case["machines"]:
            print machine

if __name__ == "__main__":
    main()
